<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use DomainException;

use function sprintf;

final class EmailInvalideException extends DomainException
{
    public static function pourAdresse(string $email): self
    {
        return new self(sprintf(
            'L\'adresse email "%s" n\'est pas valide.',
            $email,
        ));
    }
}
